

.. index::
   pair: Sphinx ; Projects using sphinx
   pair: Sphinx ; Non python Projects using sphinx

.. _projects_using_sphinx:

=============================
Projects using Sphinx
=============================

.. seealso::

   - http://sphinx-doc.org/latest/examples.html





Very nice doc
=============

.. toctree::
   :maxdepth: 3

   ase
   buildout
   neuronvisio
   passlib
   sfepy/index
   tortoise_orm/tortoise_orm


C++ doc (with doxylink, breathe, ...)
=====================================

.. toctree::
   :maxdepth: 3

   c_plusplus_examples/index



Nice doc
=========

.. toctree::
   :maxdepth: 3

   askbot
   bottle
   canon_remote
   ceph
   django
   exquires
   dpm
   eyesopen
   gammu
   github2
   macaron
   mediagobelin
   parcel
   pylons
   pysces/index
   pygtk+3
   python
   prody/prody
   requests/requests
   simpy
   sunpy
   sphinx
   sqlalchemy
   urwid


Classic doc
=============

.. toctree::
   :maxdepth: 3


   tuleap


Non python projects
====================

.. seealso::

   - http://ericholscher.com/blog/2014/feb/11/sphinx-isnt-just-for-python/

I have heard a few times over the past couple months that Sphinx is “mainly for
Python projects”. This line of thinking makes sense, because Sphinx was created
to document Python itself. Sphinx however, is a generic documentation tool that
is capable of documenting any software project.

The goal of Sphinx is to help you write prose documentation. Prose docs work
great for any kind of software you are documenting.

What it doesn’t handle particularly well is generation of docs from source code.

This is a task that is best left to a language-specific tooling, so I don’t see
this as a major downside of Sphinx.


.. toctree::
   :maxdepth: 3


   linux_kernel/linux_kernel
